[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# CreateJSONObject

Create a JSON object

## Declaration

Source position: fpjson.pp line 789

`function CreateJSONObject(`
`const Data: array of Const`
`):TJSONObject;`

## Arguments

`Data` |  | Data as (name, value) pairs to create a JSON object from

## Function result

The TJSONObject instance representing Data

## Description

CreateJSONObject retrieves the class registered to represent JSON object data, and creates an instance of this class, passing Data to the constructor. For the Data array the same type conversion rules as for the TJSONObject.Create constructor apply.

## Errors

if one of the elements in Data cannot be converted to a JSON structure, an exception will be raised.

## See also

GetJSONInstanceType |  | JSON factory: Get the JSONData class types to use
SetJSONInstanceType |  | JSON factory: Set the JSONData class types to use
GetJSON |  | Convert JSON string to JSON data structure
CreateJSON |  | Create a JSON data item
TJSONObject |  | Class of TJSONObject